------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]勇士剧情任务一（角色入场）
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>1
-- 2294-2230
-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(83, 90)

CppScriptMgr:SetCanUseEscCartoon(0)
--播放勇士主线漫画
CppScriptMgr:PlayCartoon(4)

------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()

hero:SetLook(hero:GetLook(), false, true) 

hero:SetPos(83, 90)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(6)
-- 设置头盔：player:SetArmet(头盔物品type, 神魂type, 更新外观)
-- hero:SetArmet(118309, 0, 1)
-- 设置衣服：player:SetArmor(衣服物品type, 神魂type, 更新外观)
-- hero:SetArmor(130309, 822052, 1)
-- 设置右手武器：player:SetRWeapon(武器物品type, 神魂type, 更新外观)
-- hero:SetRWeapon(614439, 0, 1)
-- 设置左手武器：player:SetLWeapon(武器物品type, 神魂type, 更新外观)
-- hero:SetLWeapon(614439, 0, 1)
-- 设置外观：player:SetLook(外观type)
-- hero:SetLook(5)

-- 人物身上绑定一个光效：player:AddEffect("光效title")
-- hero:AddEffect("npc_luzilow")


-- 半身像对话框 独孤一方的黑色剪影
CppScriptMgr:NpcCallOut("Come and accept your mission, young blood!\n\n\n\nPress ESC to skip.", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)



-- 玩家跑动
hero:RunTo(90, 75)
CppScriptMgr:WaitMilSec(2000)
hero:SetPos(90, 64)
-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)

local player  = CppScriptMgr:AddSimplePlayer(15970, 90, 54, "[GoldenTrojan]Mr.Pride", 4003000009,1)

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(87, 58)

hero:SetAction(200)
CppScriptMgr:WaitMilSec(1000)

-- 设置玩家动作：player:SetAction(动作id)
hero:AddEffect("npc_luzilow")
CppScriptMgr:WaitMilSec(5000)
player:SetAction(200)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("You`re born to eliminate the demons and save this chaotic world. The war is coming and there`s no turning back. Are you ready, young blood?\n\nPress ESC to skip.", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)

hero:Say("What can I do?", 5000)
CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:NpcCallOut("I`ve just got the intelligence that the Lord of Demon and his followers are killing the innocent to collect souls to sacrifice! We have to stop them before it`s too late!\n\n\nPress ESC to skip.", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("They`re dead for sure!", 5000)
CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:NpcCallOut("Great! I`ll take that as a YES. I admire your courage, but we need a good plan for this!\n\n\nPress ESC to skip.", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)
hero:Say("Whenever you need me.", 5000)
CppScriptMgr:WaitMilSec(5000)




